</img>

Four days ago, Drupal has released the RC1 for its 6.0 version, we are really near to start using this new version.

I like that the block_cache is now part of the core, it is really useful, if you want to pass a web 2.0 effect, or at least have a chance to do it.

Before upgrading, check that all the modules you are using are available or ported to 6.0 version, you can do that, by going to modules page and select 6.0.

Check the post at Drupal site here